/*
One of those Weeks Episode 43: The Secret Project
Copyright (c) 2008,2011-2012 Blazing Games Inc.
Code written by Billy D. Spelchan

This program is free software; you can redistribute it and/or modify it under 
the terms of the GNU General Public License as published by the Free Software 
Foundation; either version 2 of the License, or (at your option) any later 
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package com.blazinggames.ootw.ep43
{
	// Adobe Imports
	import flash.display.SimpleButton;
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class OotW43
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		public static const SHOW_PORTAL_EVENT = "ShowPortalEvent";
		public static const SHOW_SCORE_EVENT = "ShowScoreEvent";

// ***** VARIABLES **********************************************************

		private var _finalScore:int;
		private var _topic_movie:OotW43Conversation;
// ***** CONSTRUCTOR ********************************************************

		public function OotW43()
		{
			_topic_movie = new OotW43Conversation(_speach_movie);
			_topic_movie.resetConversation();
			_topic_movie.showTopic("StartEp", this);
			stop();
		}

// ***** Functions - General control ****************************************

		public function toPortal()
		{
			var evt:Event = new Event(SHOW_PORTAL_EVENT);
			this.dispatchEvent(evt);
		}

		public function toScore()
		{
			var evt:Event = new Event(SHOW_SCORE_EVENT);
			this.dispatchEvent(evt);
		}
		
		public function getScore()
		{
			return _topic_movie.scoreConversation();
		}
		
		public function startMainConversation()
		{
			_topic_movie.showTopic("StartMain", this);
		}
	} // end class
} // end package

